//+------------------------------------------------------------------+
//|                                                    YZCHMC_V1.mq4 |
//|                                           YURAZ Copyright  2008 |
//|                                          www.mail.ru yzh@mail.ru |
//+------------------------------------------------------------------+

//
//   
//

#property copyright "YURAZ Copyright  2008"
#property link      "www.mail.ru yzh@mail.ru"

#property indicator_separate_window

#include <inifiles.mqh> //    ,  !


// API
//     /   
#import "kernel32.dll"
int  FindFirstFileA(string path, int & answer[]);
bool FindClose(int handle);
#import

int win32_DATA[80]; //     FindFirstFileA
 
extern string sFileINI = "YZCHMC_V1.INI";


string sNameIndicator="YZCHMC_V1";
string sPathApp;
string sPathFileINI;

//
string sVERSION;
int  sCountSymbol;

string sSymbol[];


void InitializeINIFile()
{
   int i;
   string sNCur;
   
   sPathApp = TerminalPath(); //     
   sPathFileINI = StringConcatenate ( sPathApp ,"\\", sFileINI);
   
   //        -         
   int handle = FindFirstFileA(sPathFileINI , win32_DATA); 
   if ( handle >= 1 ) // 
   {
       //  
       FindClose(handle);
       sVERSION     = ReadIniString( sPathFileINI ,  "DATEVERSION", "DATE", "=no");
       sCountSymbol = ReadIniInteger( sPathFileINI , "COUNTSYMBOL", "COUNTSYMBOL", 0);              
       ArrayResize( sSymbol, sCountSymbol);
       for (  i=0; i < sCountSymbol;i++ )
       {
           sSymbol[i] = ReadIniString( sPathFileINI , "SYMBOL", DoubleToStr(i+1,0)  , DoubleToStr(i+1,0) );
       }
   }
   else
   {
       sCountSymbol = 53;

       //    -       MRC - MoneyRain

       WriteIniString ( sPathFileINI ,  "DATEVERSION", "DATE", "2008.10.21");
       WriteIniString ( sPathFileINI ,  "VERSION", "VERSION", "V1.S000001");
       WriteIniInteger( sPathFileINI ,  "COUNTSYMBOL", "COUNTSYMBOL", sCountSymbol );              
       ArrayResize( sSymbol, sCountSymbol);

       sSymbol[ 0]="EURUSD";
       sSymbol[ 1]="GPBUSD";
       sSymbol[ 2]="AUDUSD";
       sSymbol[ 3]="NZDUSD";
       sSymbol[ 4]="USDCAD";
       sSymbol[ 5]="USDCHF";
       sSymbol[ 6]="USDALL";
       sSymbol[ 7]="USDARS";
       sSymbol[ 8]="USDBRL";
       sSymbol[ 9]="USDBWP";
       sSymbol[10]="USDCLP";
       sSymbol[11]="USDCNY";
       sSymbol[12]="USDCOP";
       sSymbol[13]="USDCVE";
       sSymbol[14]="USDCZK";
       sSymbol[15]="USDDKK";
       sSymbol[16]="USDDOP";
       sSymbol[17]="USDDZD";
       sSymbol[18]="USDEGP";
       sSymbol[19]="USDGEL";
       sSymbol[20]="USDGIP";
       sSymbol[21]="USDHKD";
       sSymbol[22]="USDHRK";
       sSymbol[23]="USDHUF";
       sSymbol[24]="USDIDR";
       sSymbol[25]="USDILS";
       sSymbol[26]="USDINR";
       sSymbol[27]="USDIRR";
       sSymbol[28]="USDISK";
       sSymbol[29]="USDJPY";
       sSymbol[30]="USDKRW";
       sSymbol[31]="USDLBP";
       sSymbol[32]="USDLSL";
       sSymbol[33]="USDMAD";
       sSymbol[34]="USDMXN";
       sSymbol[35]="USDMYR";
       sSymbol[36]="USDNOK";
       sSymbol[37]="USDNPR";
       sSymbol[38]="USDPHP";
       sSymbol[39]="USDPKR";
       sSymbol[40]="USDPLN";
       sSymbol[41]="USDQAR";
       sSymbol[42]="USDRUB";
       sSymbol[43]="USDSAR";
       sSymbol[44]="USDSEK";
       sSymbol[45]="USDSGD";
       sSymbol[46]="USDTND";
       sSymbol[47]="USDTRY";
       sSymbol[48]="USDTWD";
       sSymbol[49]="USDUAH";
       sSymbol[50]="USDXOF";
       sSymbol[51]="USDZAR";
       sSymbol[52]="USDZMK";
       
       for (  i=0; i < sCountSymbol;i++ )
       {
           WriteIniString( sPathFileINI , "SYMBOL",  DoubleToStr(i+1,0)  , sSymbol[i]);
       }
   }
}
/////////////////////


int init()
  {
   InitializeINIFile();
   IndicatorShortName( sNameIndicator) ;
   return(0);
  }

//
int deinit()
  {
   return(0);
  }

//
int start()
  {
   int counted_bars=IndicatorCounted();

   DrawSymbol();
      
   return(0);
  }


//
//    
//
void DrawSymbol()
{
   
}
  